SystemOrganization addCategory: #'Minecraft-Pi-Demo'!

Object subclass: #MinecraftDemo
	instanceVariableNames: ''
	classVariableNames: 'Host'
	poolDictionaries: 'MinecraftConstants'
	category: 'Minecraft-Pi-Demo'!

!MinecraftDemo commentStamp: 'LL 3/12/2013 11:33' prior: 0!
MinecraftDemo contains examples of how to use Minecraft and three ways to use MinecraftConstants.

See the MinecraftConstants class comment for more information.
!

!MinecraftDemo class methodsFor: 'accessing' stamp: 'bf 2/25/2013 00:09'!
host
	^Host ifNil: ['localhost']! !

!MinecraftDemo class methodsFor: 'demos' stamp: 'LL 3/12/2013 11:27'!
rainbow2: radius
	"MinecraftDemo rainbow: 30"
	"Requires class side methods to be added to the Minecraft class.  See MinecraftConstants class comment."
	| mc pos |

	mc := Minecraft connectTo: self host.
	pos := mc playerTile.
	0 to: 360 by: 30.0 / radius do: [:phi | | x y z |
		{mc purpleWool. mc blueWool. mc lightBlueWool. mc limeWool. mc yellowWool. mc orangeWool. mc redWool} withIndexDo: [:color :i |
			x := (radius + i) * phi degreeCos.
			y := (radius + i) * phi degreeSin.
			z := radius.	"distance from player"
			(mc blockAt: pos + {x. y. z}) = mc air ifTrue: [
				mc blockAt: pos + {x. y. z} put: color]]].
	mc close.
! !

!MinecraftDemo class methodsFor: 'demos' stamp: 'LL 3/12/2013 11:28'!
rainbow3: radius
	"MinecraftDemo rainbow: 30"
	"Requires instance methods to be added to the Minecraft class.  See MinecraftConstants class comment."
	| mc  pos |

	mc := Minecraft connectTo: self host.
	pos := mc playerTile.
	0 to: 360 by: 30.0 / radius do: [:phi | | x y z |
		{Minecraft purpleWool. Minecraft blueWool. Minecraft lightBlueWool. Minecraft limeWool. Minecraft yellowWool. Minecraft orangeWool. Minecraft redWool} withIndexDo: [:color :i |
			x := (radius + i) * phi degreeCos.
			y := (radius + i) * phi degreeSin.
			z := radius.	"distance from player"
			(mc blockAt: pos + {x. y. z}) = Minecraft air ifTrue: [
				mc blockAt: pos + {x. y. z} put: color]]].
	mc close.
! !

!MinecraftDemo class methodsFor: 'demos' stamp: 'LL 3/12/2013 11:27'!
rainbow: radius
	"MinecraftDemo rainbow: 30"
	| mc pos |

	mc := Minecraft connectTo: self host.
	pos := mc playerTile.
	0 to: 360 by: 30.0 / radius do: [:phi | | x y z |
		{PurpleWool. BlueWool. LightBlueWool. LimeWool. YellowWool. OrangeWool. RedWool} withIndexDo: [:color :i |
			x := (radius + i) * phi degreeCos.
			y := (radius + i) * phi degreeSin.
			z := radius.	"distance from player"
			(mc blockAt: pos + {x. y. z}) = Air ifTrue: [
				mc blockAt: pos + {x. y. z} put: color]]].
	mc close.
! !
